[
{
    blockid=address;
    help=service_smtp_address_address;
    custom="com.netscape.management.msgserv.ServiceMTARoutingControl";
    localvar={
	.rewritestyle.text="Style de retranscription des adresses \"De\" :";
	.rewritestyle.labels=["\"jean dorel\"<jdorel@exemple.com>","jdorel@exemple.com (Jean Dorel)","jdorel@exemple.com","ne jamais retranscrire les adresses"];
	.rewrite.text="Retranscrire l'adresse destinataire SMTP en fonction des attributs de l'entr\u00e9e LDAP du destinataire :";
	.rewrite.1.text="Utiliser l'attribut mailRoutingAddress";
	.rewrite.2.text="Associer l'ID \u00e0 l'attribut mailHost";
	.rewrite.4.text="Associer la partie locale de l'adresse \u00e0 l'attribut mailHost";
	.fallback.text="Si le serveur ne parvient pas \u00e0 trouver d'entr\u00e9e LDAP avec une adresse \u00e9lectronique particuli\u00e8re, recommencez la recherche en utilisant les m\u00e9thodes s\u00e9lectionn\u00e9es :";
	.fallback.1.text="Rechercher un domaine personnalis\u00e9";
	.fallback.2.text="Rechercher avec un domaine tronqu\u00e9 (laisser de c\u00f4t\u00e9 la partie h\u00f4te en local)";
	.fallback.4.text="Rechercher par ID utilisateur";
	.routing.header="Table de routage SMTP :";
	.delimiter="$";
	.addentry.title="Routage SMTP";
	.editentry.title="Routage SMTP";
    };
    content=[
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=rewritelabel;
	    text=$.rewrite.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=rewrite0;
			    label=rewritelabel;
			    text=$.rewrite.1.text;
			},
			{
			    ctrl=togglepane;
			    id=rewrite1;
			    label=rewritelabel;
			    text=$.rewrite.2.text;
			},
			{
			    ctrl=togglepane;
			    id=rewrite2;
			    label=rewritelabel;
			    text=$.rewrite.4.text;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=stylelabel;
		    text=$.rewritestyle.text;
		    wrap=$g.label.size2;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=choice;
		    label=stylelabel;
		    labels=$.rewritestyle.labels;
		    items=[quoted,comment,qualify,never];
		    aligny=0.5;
		    val=$service.smtp.smtp-router.smtprewritestyle.value;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=fallbacklabel;
	    text=$.fallback.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=proxy;
		    label=fallbacklabel;
		    val=$service.smtp.smtp-router.fallbacksearchmethod.value;
		},
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=fallback0;
			    text=$.fallback.1.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback1;
			    text=$.fallback.2.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback2;
			    text=$.fallback.4.text;
			    text="Rechercher par ID utilisateur";
			    label=fallbacklabel;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=stdtable;
	    stdtable=true;
	    addui=routedialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.addentry.title;
	    editui=routedialog;
	    edittitle=$.editentry.title;
	    val=$service.smtp.smtp-router.hostrewrites.value;
	    label=routinglabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=$.delimiter;
	    visiblerows=5;
	    columns=[
		{
		    header=$.routing.header;
		    varname=routeentry;
		}
	    ]
	}
    ]
},
{
    blockid=routedialog;
    help=service_smtp_address_routedialog;
    localvar={
	.route.help="Table de routage :";
	.example.entry="abc.com:hote.xyz.com";
    };
    content=[
	{
	    ctrl=label;
	    id=routelabel;
	    wrap=$g.label.size3;
	    text=$.route.help;
	},
	{
	    ctrl=text;
	    label=routelabel;
	    val=$routeentry;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$.example.entry;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]
